/* Tsinghuaeolus soccer client for Robocup2001
 *
 * Computer Science Department
 * State Key Lab of Intelligent Technology and Systems
 * Tsinghua University
 * 
 * Copyright (C) 2001 Tsinghuaeolus
 * Team Leader : Lishi
 * Team memebers : ChenJiang, YaoJinyi, CaiYunpeng
 *
 * We thank CMU for CMU98 was used for reference in our initial stage.
 *
 * You may copy and distribute this program freely as long as you retain this notice.
 * If you make any changes or have any comments we would appreciate a message to yjy01@mails.tsinghua.edu.cn.
 * For more information, please see http://www.lits.tsinghua.edu.cn/RoboCup
 */

#ifndef _goingthroughspeed
#define _goingthroughspeed

#include "types.h"
#include "geometry.h"

class GT_speed_utils{
public:
	float calc_goingthroughspeed(Vector pos, float t);
	float calc_spottingspeed(Vector pos, float t);
	float calc_peakpoint(Vector pos);
	float calc_goalie_spottingspeed(Vector pos, float t);
	float calc_goalie_goingthroughspeed(Vector pos, float t);
	bool calc_interception_solution(Vector startpoint, float ballspeed, Vector& inf_sup);
};
#endif
