/* Tsinghuaeolus soccer client for Robocup2001
 *
 * Computer Science Department
 * State Key Lab of Intelligent Technology and Systems
 * Tsinghua University
 * 
 * Copyright (C) 2001 Tsinghuaeolus
 * Team Leader : Lishi
 * Team memebers : ChenJiang, YaoJinyi, CaiYunpeng
 *
 * We thank CMU for CMU98 was used for reference in our initial stage.
 *
 * You may copy and distribute this program freely as long as you retain this notice.
 * If you make any changes or have any comments we would appreciate a message to yjy01@mails.tsinghua.edu.cn.
 * For more information, please see http://www.lits.tsinghua.edu.cn/RoboCup
 */

#ifndef _clearball
#define _clearball
#include "types.h"
#include "command.h"
class ClearBall{
private:
	float clearsuccessvalue(float ang);
	float usefulness(float ang);
	float lastclearangle;
public:
	float GetClearAngle();
	bool Clear_Ball(Command& command);	
	bool Clear_Ball();
	AngleDeg GetLastClearBallAngle();
};
#endif